RootImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.criteria.path
Class RootImpl<X>

    java.lang.Object
      org.hibernate.ejb.criteria.AbstractNode
          org.hibernate.ejb.criteria.expression.AbstractTupleElement<X>
              org.hibernate.ejb.criteria.expression.SelectionImpl<T>
                  org.hibernate.ejb.criteria.expression.ExpressionImpl<X>
                      org.hibernate.ejb.criteria.path.AbstractPathImpl<X>
                          org.hibernate.ejb.criteria.path.AbstractFromImpl<X,X>
                              org.hibernate.ejb.criteria.path.RootImpl<X>

All Implemented Interfaces:
  Serializable, Expression<X>, FetchParent<X,X>, From<X,X>, Path<X>, Root<X>, Selection<X>, TupleElement<X>, ExpressionImplementor<X>, FromImplementor<X,X>, ParameterContainer, PathImplementor<X>, PathSource<X>, Renderable, SelectionImplementor<X>, TupleElementImplementor<X>

    public class RootImpl<X>

extends AbstractFromImpl<X,X>
implements Root<X>, Serializable

TODO : javadoc

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.hibernate.ejb.criteria.path.AbstractFromImpl
`AbstractFromImpl.BasicJoinScope, AbstractFromImpl.CorrelationJoinScope, AbstractFromImpl.JoinScope<X>`

Nested classes/interfaces inherited from interface org.hibernate.ejb.criteria.ParameterContainer
`ParameterContainer.Helper`

Field Summary

Fields inherited from class org.hibernate.ejb.criteria.path.AbstractFromImpl
`DEFAULT_JOIN_TYPE`

Constructor Summary
`RootImpl(CriteriaBuilderImpl criteriaBuilder, EntityType<X> entityType)`

Method Summary
`protected boolean` | `canBeJoinSource()`
`RootImpl<X>` | `correlateTo(CriteriaSubqueryImpl subquery)`
`protected FromImplementor<X,X>` | `createCorrelationDelegate()`
`EntityType<X>` | `getEntityType()`
`EntityType<X>` | `getModel()`
`String` | `getPathIdentifier()` Get the string representation of this path as a navigation from one of the queries `identification variables`
`String` | `render(CriteriaQueryCompiler.RenderingContext renderingContext)`
`String` | `renderProjection(CriteriaQueryCompiler.RenderingContext renderingContext)`
`String` | `renderTableExpression(CriteriaQueryCompiler.RenderingContext renderingContext)`

Methods inherited from class org.hibernate.ejb.criteria.path.AbstractFromImpl
`canBeDereferenced, canBeFetchSource, fetch, fetch, fetch, fetch, fetch, fetch, getAlias, getAttribute, getCorrelationParent, getFetches, getJoins, getParent, getPathSource, isCorrelated, join, join, join, join, join, join, join, join, join, join, join, join, joinCollection, joinCollection, joinList, joinList, joinMap, joinMap, joinSet, joinSet, locateAttributeInternal, locateManagedType, prepareAlias, prepareCorrelationDelegate`

Methods inherited from class org.hibernate.ejb.criteria.path.AbstractPathImpl
`get, get, get, get, getParentPath, illegalDereference, locateAttribute, registerAttributePath, registerParameters, resolveCachedAttributePath, type, unknownAttribute`

Methods inherited from class org.hibernate.ejb.criteria.expression.ExpressionImpl
`as, asBigDecimal, asBigInteger, asDouble, asFloat, asInteger, asLong, asString, in, in, in, in, isNotNull, isNull`

Methods inherited from class org.hibernate.ejb.criteria.expression.SelectionImpl
`alias, getCompoundSelectionItems, getValueHandlers, isCompoundSelection`

Methods inherited from class org.hibernate.ejb.criteria.expression.AbstractTupleElement
`forceConversion, getJavaType, getValueHandler, resetJavaType, setAlias`

Methods inherited from class org.hibernate.ejb.criteria.AbstractNode
`criteriaBuilder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.criteria.From
`getCorrelationParent, getJoins, isCorrelated, join, join, join, join, join, join, join, join, join, join, join, join, joinCollection, joinCollection, joinList, joinList, joinMap, joinMap, joinSet, joinSet`

Methods inherited from interface javax.persistence.criteria.Path
`get, get, get, get, getParentPath, type`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Methods inherited from interface javax.persistence.criteria.FetchParent
`fetch, fetch, fetch, fetch, fetch, fetch, getFetches`

Methods inherited from interface org.hibernate.ejb.criteria.ExpressionImplementor
`asBigDecimal, asBigInteger, asDouble, asFloat, asInteger, asLong, asString`

Methods inherited from interface org.hibernate.ejb.criteria.SelectionImplementor
`getValueHandlers`

Methods inherited from interface org.hibernate.ejb.criteria.TupleElementImplementor
`getValueHandler`

Constructor Detail

### RootImpl

    public RootImpl(CriteriaBuilderImpl criteriaBuilder,
                    EntityType<X> entityType)

Method Detail

### getEntityType

    public EntityType<X> getEntityType()

### getModel

    public EntityType<X> getModel()

  Specified by:
    `getModel` in interface `Path<X>`
  Specified by:
    `getModel` in interface `Root<X>`

### createCorrelationDelegate

    protected FromImplementor<X,X> createCorrelationDelegate()

  Specified by:
    `createCorrelationDelegate` in class `AbstractFromImpl<X,X>`

### correlateTo

    public RootImpl<X> correlateTo(CriteriaSubqueryImpl subquery)

  Specified by:
    `correlateTo` in interface `FromImplementor<X,X>`
  Overrides:
    `correlateTo` in class `AbstractFromImpl<X,X>`

### canBeJoinSource

    protected boolean canBeJoinSource()

  Specified by:
    `canBeJoinSource` in class `AbstractFromImpl<X,X>`

### renderTableExpression

    public String renderTableExpression(CriteriaQueryCompiler.RenderingContext renderingContext)

  Specified by:
    `renderTableExpression` in interface `FromImplementor<X,X>`

### getPathIdentifier

    public String getPathIdentifier()

  Description copied from class: `AbstractPathImpl`
  Get the string representation of this path as a navigation from one of the queries `identification variables`

  Specified by:
    `getPathIdentifier` in interface `PathSource<X>`
  Overrides:
    `getPathIdentifier` in class `AbstractFromImpl<X,X>`
  Returns:
    The path's identifier.

### render

    public String render(CriteriaQueryCompiler.RenderingContext renderingContext)

  Description copied from class: `AbstractPathImpl`

  Specified by:
    `render` in interface `Renderable`
  Overrides:
    `render` in class `AbstractFromImpl<X,X>`

### renderProjection

    public String renderProjection(CriteriaQueryCompiler.RenderingContext renderingContext)

  Description copied from class: `AbstractPathImpl`

  Specified by:
    `renderProjection` in interface `Renderable`
  Overrides:
    `renderProjection` in class `AbstractFromImpl<X,X>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.